<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_light_grey_color">

    <LinearLayout
        android:id="@+id/title_bar_with_back_btn"
        android:layout_width="match_parent"
        android:layout_height="@dimen/action_bar_height"
        android:background="@color/colorPrimary"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/title_bar_back_layout"
            android:layout_width="70dp"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="12dp">

            <ImageView
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:src="@drawable/back_selector" />

        </LinearLayout>

        <TextView
            android:id="@+id/title_bar_middle_txt"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:text="@string/print_qr"
            android:textColor="@color/text_white"
            android:textSize="@dimen/action_bar_title_medium_text_size" />

        <LinearLayout
            android:id="@+id/title_bar_option_layout"
            android:layout_width="70dp"
            android:layout_height="match_parent"
            android:gravity="center_vertical|right"
            android:orientation="horizontal"
            android:paddingRight="9dp"
            android:visibility="invisible">


            <ImageView
                android:id="@+id/iv_options"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginLeft="6dp"
                android:src="@drawable/option" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/title_bar_with_back_btn"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/iv_qrcode"
            android:layout_width="240dp"
            android:layout_height="240dp"
            android:layout_gravity="center_horizontal"
            android:layout_margin="8dp"/>

        <Button
            android:id="@+id/btn_print_qr"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/print_qr"
            android:layout_gravity="center_horizontal"
            android:textSize="16sp"
            android:textColor="@color/white"
            android:background="@drawable/print_rounded_rect_bg"
            android:layout_marginBottom="5dp"
            android:paddingLeft="35dp"
            android:paddingRight="35dp"
            android:paddingBottom="5dp"
            android:paddingTop="5dp"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="38dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="12dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/printer_status"
                android:textColor="@color/grey"
                android:textSize="14sp" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="42dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="12dp">

            <TextView
                android:id="@+id/tv_printer_status"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:text="@string/click_to_query"
                android:textColor="@color/dark_grey"
                android:textSize="16sp" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="38dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="12dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/bluetooth_status"
                android:textColor="@color/grey"
                android:textSize="14sp" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="42dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="12dp">

            <TextView
                android:id="@+id/tv_bluetooth_status"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/bt_is_enabled"
                android:textColor="@color/dark_grey"
                android:textSize="16sp" />


            <ToggleButton
                android:id="@+id/tb_bluetooth_switch"
                android:layout_width="56dp"
                android:layout_height="19dp"
                android:layout_marginRight="12dp"
                android:background="@drawable/toggle_button_selector"
                android:checked="true"
                android:gravity="center"
                android:textColor="@color/white"
                android:textOff="@null"
                android:textOn="@null" />

        </LinearLayout>

        <ListView
            android:id="@+id/listview_bt_devices"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:paddingLeft="12dp"
            android:paddingRight="6dp"
            android:listSelector="@color/transparent"
            android:cacheColorHint="@color/transparent"/>

    </LinearLayout>


</RelativeLayout>